<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">
    <data>

        <variable
            name="item"
            type="com.vessel.app.supplement.model.SupplementFormula" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/spacing_2xs"
        android:background="@drawable/rose_background"
        android:padding="@dimen/spacing_normal">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/title"
            style="@style/Text.Input"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:textStyle="bold"
            android:text="@{item.nutrient}"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="name" />

        <androidx.appcompat.widget.AppCompatTextView
            style="@style/Text.XS"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/spacing_normal"
            android:text="@{item.amount}"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/title"
            tools:text="extra" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
